GrailsApp.1 (Grails 5.2.4)

Package: grails.boot

## [Groovy] Class GrailsApp.1

- grails.boot.GrailsApp.1

-     class GrailsApp.1
      extends io.micronaut.context.ApplicationContextConfiguration

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsApp.1 ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.ClassLoader` | `getClassLoader()`
    `` | `java.util.Optional<java.lang.Boolean>` | `getDeduceEnvironments()`
    `` | `java.util.List<java.lang.String>` | `getEnvironments()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface io.micronaut.context.ApplicationContextConfiguration` | `io.micronaut.context.ApplicationContextConfiguration#getResourceLoader(), io.micronaut.context.ApplicationContextConfiguration#getConversionService(), io.micronaut.context.ApplicationContextConfiguration#getDeduceEnvironments(), io.micronaut.context.ApplicationContextConfiguration#getEnvironments(), io.micronaut.context.ApplicationContextConfiguration#isBannerEnabled(), io.micronaut.context.ApplicationContextConfiguration#getDefaultEnvironments(), io.micronaut.context.ApplicationContextConfiguration#isEnvironmentPropertySource(), io.micronaut.context.ApplicationContextConfiguration#getEnvironmentVariableIncludes(), io.micronaut.context.ApplicationContextConfiguration#getEnvironmentVariableExcludes(), io.micronaut.context.ApplicationContextConfiguration#getOverrideConfigLocations(), io.micronaut.context.ApplicationContextConfiguration#isBootstrapEnvironmentEnabled(), io.micronaut.context.ApplicationContextConfiguration#isAllowEmptyProviders(), io.micronaut.context.ApplicationContextConfiguration#isEagerInitSingletons(), io.micronaut.context.ApplicationContextConfiguration#getEagerInitAnnotated(), io.micronaut.context.ApplicationContextConfiguration#isEagerInitConfiguration(), io.micronaut.context.ApplicationContextConfiguration#getClassLoader()`

- - ### Constructor Detail

    - #### GrailsApp.1()

  - ### Method Detail

    - #### @java.lang.Override java.lang.ClassLoader getClassLoader()

    - #### @java.lang.Override java.util.Optional<java.lang.Boolean> getDeduceEnvironments()

    - #### @java.lang.Override java.util.List<java.lang.String> getEnvironments()